import java.io.BufferedReader;
import java.io.File;
import java.io.IOException;
import java.io.InputStreamReader;

public class Modifier {
	private File directory;

	public Modifier(File directory) {
		this.directory = directory;
	}

	public void modify() throws IOException {
		
		System.out.println("delete was. "+recursivelyDelete(directory));
		File subdir = new File(directory, "subdir");
		subdir.mkdirs();
		File file = new File(subdir, "test");
		file.createNewFile();
	}

	private boolean recursivelyDelete(File file) {
		boolean ok= true;
		if (file.isDirectory()) {
			for (File f: file.listFiles()) {
				
				ok &= recursivelyDelete(f);
			}
		} 
		ok &= file.delete();
		return ok;
	}
	public static void main(String[] args) throws IOException {
		File dir= new File(args[0]);
		try (BufferedReader reader= new BufferedReader(new InputStreamReader(System.in))) {
			while (reader.readLine() != null) {
				new Modifier(dir).modify();
			}
		}
	}

}
